- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# CTextEdit Class Reference

a text edit control More...

`#include <vstcontrols.h>`

Inheritance diagram for CTextEdit:

List of all members.

## Public Member Functions
| CTextEdit (const CRect &size, CControlListener *listener, long tag, const char *txt=0, CBitmap *background=0, const long style=0)
virtual | ~CTextEdit ()
virtual void | setText (char *txt)
virtual void | getText (char *txt) const
virtual void | draw (CDrawContext *pContext)
| called if the view should draw itself
virtual void | mouse (CDrawContext *pContext, CPoint &where, long button=-1)
| called if a mouse click event occurs
virtual void | setTextEditConvert (void(*editConvert)(char *input, char *string))
virtual void | setTextEditConvert (void(*editConvert2)(char *input, char *string, void *userDta), void *userData)
virtual void | takeFocus (CDrawContext *pContext=0)
| called if view should take focus
virtual void | looseFocus (CDrawContext *pContext=0)
| called if view should loose focus
## Public Attributes
void * | platformFontColor
void * | platformControl
bool | bWasReturnPressed
## Protected Attributes
void * | platformFont
char | text [256]
void(* | editConvert )(char *input, char *string)
void(* | editConvert2 )(char *input, char *string, void *userData)

## Detailed Description

a text edit control

Define a rectangle view where a text-value can be displayed and edited with a given font and color. The user can specify its convert function (from char to char). The text-value is centered in the given rect. A pixmap can be used as background.

## Constructor & Destructor Documentation

CTextEdit::CTextEdit | ( | const CRect & | size,
|  | CControlListener * | listener,
|  | long | tag,
|  | const char * | txt = `0`,
|  | CBitmap * | background = `0`,
|  | const long | style = `0`
| ) |

CTextEdit::~CTextEdit | ( |  | ) | `[virtual]`

## Member Function Documentation

void CTextEdit::draw | ( | CDrawContext * | pContext | ) | `[virtual]`

| called if the view should draw itself Reimplemented from CParamDisplay.

void CTextEdit::getText | ( | char * | txt | ) | const`[virtual]`

void CTextEdit::looseFocus | ( | CDrawContext * | pContext = `0` | ) | `[virtual]`

| called if view should loose focus Reimplemented from CView.

void CTextEdit::mouse | ( | CDrawContext * | pContext,
|  | CPoint & | where,
|  | long | button = `-1`
| ) | `[virtual]`

| called if a mouse click event occurs Reimplemented from CView.

void CTextEdit::setText | ( | char * | txt | ) | `[virtual]`

void CTextEdit::setTextEditConvert | ( | void(*)(char *input, char *string, void *userDta) | editConvert2,
|  | void * | userData
| ) | `[virtual]`

void CTextEdit::setTextEditConvert | ( | void(*)(char *input, char *string) | editConvert | ) | `[virtual]`

void CTextEdit::takeFocus | ( | CDrawContext * | pContext = `0` | ) | `[virtual]`

| called if view should take focus Reimplemented from CView.

## Member Data Documentation

bool CTextEdit::bWasReturnPressed

void(* CTextEdit::editConvert)(char *input, char *string)`[protected]`

void(* CTextEdit::editConvert2)(char *input, char *string, void *userData)`[protected]`

void* CTextEdit::platformControl

void* CTextEdit::platformFont`[protected]`

void* CTextEdit::platformFontColor

char CTextEdit::text[256]`[protected]`

The documentation for this class was generated from the following files:

- vstcontrols.h
- vstcontrols.cpp

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.